function [xx1, xx2] = getpoints(im1, im2)
% [xx1, xx2] = getpoints(im1, im2)
% Input: two images
% Output: two sets of image points
%
% Loads the two images specified by the
% passed filenames, displays them one by one 
% and collects a set of points from the user. 

% Checking args
if (nargin<2) 
    disp('Please provide two images as input.');
    return; 
end

% Getting points from image 1
disp('Click on at least 8 feature points, press Enter when done.');
imshow(im1);
[u1 v1] = ginput();

% Getting points from image 2
disp('Click on the corresponding points, press Enter when done.');
imshow(im2);
[u2 v2] = ginput();
close;

% Verifying input
if (size(u1,1)~=size(u2,1))
    disp('Please select the same number of points from each image.');
    return;
end
if (size(u1,1)<8)
    disp('Need at least 8 points.');
    return;
end

xx1 = [u1 v1];
xx2 = [u2 v2];